from PyQt4.QtCore import *
import sip

class VariantTest(QObject):
  valueChanged = pyqtSignal((QVariant, QString))

  def __init__(self):
    QObject.__init__(self)
    self._obj = object()

  def fire(self):
    self.valueChanged.emit(self._obj, "Abc")
    
  def recv(self, variant, string):
    print variant.toPyObject(), string
    

app = QCoreApplication([])
a = VariantTest()
b = VariantTest()
a.valueChanged.connect(b.recv)
a.fire()
app.exec_()